<script setup>
const route = useRoute();

const showRoute = computed(() => {
  if (route.path == "/") {
    return null;
  } else {
    return route.name.split("__")[0].toUpperCase();
  }
});
</script>
<template>
  <span class="relative my-[3px] h-[48px] flex items-center">
    <FpLink
      href="/"
      aria-label="Return to main index page"
      class="h-full flex items-center gap-4 fill-white transition duration-300 ease-in-out hover:opacity-50 ltr:flex-row rtl:flex-row-reverse p-2 cursor-default inline"
    >
      <!-- SVG Icon Logo -->
      <svg viewBox="0 0 2034 512.00001" class="h-8">
        <title>Fedora Logo</title>
        <!--! Font Awesome Free 6.1.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) Copyright 2022 Fonticons, Inc. -->
        <g id="fedora-logo">
          <path
            d="M.0413 255.8C.1219 132.2 100.3 32 224 32C347.7 32 448 132.3 448 256C448 379.7 347.8 479.9 224.1 480H50.93C22.84 480 .0832 457.3 .0416 429.2H0V255.8H.0413zM342.6 192.7C342.6 153 307 124.2 269.4 124.2C234.5 124.2 203.6 150.5 199.3 184.1C199.1 187.9 198.9 189.1 198.9 192.6C198.8 213.7 198.9 235.4 198.1 257C199 283.1 199.1 309.1 198.1 333.6C198.1 360.7 178.7 379.1 153.4 379.1C128.1 379.1 107.6 358.9 107.6 333.6C108.1 305.9 130.2 288.3 156.1 287.5H156.3L182.6 287.3V250L156.3 250.2C109.2 249.8 71.72 286.7 70.36 333.6C70.36 379.2 107.9 416.5 153.4 416.5C196.4 416.5 232.1 382.9 236 340.9L236.2 287.4L268.8 287.1C294.1 287.3 293.8 249.3 268.6 249.8L236.2 250.1C236.2 243.7 236.3 237.3 236.3 230.9C236.4 218.2 236.4 205.5 236.2 192.7C236.3 176.2 252 161.5 269.4 161.5C286.9 161.5 305.3 170.2 305.3 192.7C305.3 195.9 305.2 197.8 305 199C303.1 209.5 310.2 219.4 320.7 220.9C331.3 222.4 340.9 214.8 341.9 204.3C342.5 200.1 342.6 196.4 342.6 192.7H342.6z"
          />
          <path
            class="hidden md:inline"
            d="m 723.90867,63.999998 c -65.3331,0 -107.26858,48.697372 -107.66016,94.255752 v 264.14026 c -0.0828,32.5758 50.50882,32.5758 50.41809,0 V 246.10619 h 51.83796 c 12.12461,0 22.47756,-8.61647 22.47756,-22.43776 0,-13.82143 -11.08915,-22.17511 -22.47756,-22.17511 H 666.6666 v -40.60635 c 0,-26.00016 20.7441,-47.67067 62.49495,-47.15812 14.52182,0.18783 19.64258,3.63197 24.94321,6.802 28.9561,18.80849 56.81865,-24.741062 26.4777,-41.391098 C 761.98249,67.978179 744.6257,64.029287 723.8832,64.029287 Z m 552.49143,4.710719 c -15.7264,-0.825689 -27.2958,14.449398 -24.8779,28.976793 v 112.52146 c -49.8753,-40.99952 -131.0594,-38.13113 -177.0698,7.26091 -46.5548,40.69708 -55.4004,114.42363 -21.5448,165.22693 24.8716,38.37308 70.3743,65.7565 117.2619,63.58213 29.4845,-0.26822 58.6905,-12.76179 81.3639,-31.18778 -2.3263,14.55812 9.1447,29.97962 25.01,29.04365 15.5755,0.68128 27.67,-14.39496 25.2791,-28.9768 -0.2727,-108.20454 0.2727,-216.37087 -0.2727,-324.548358 -0.8068,-12.157869 -12.6379,-22.187844 -25.0101,-21.848794 h -0.057 z m 194.8182,110.167213 c -76.0553,-3e-5 -137.7146,59.97037 -137.7305,133.95638 -0.017,74.01148 61.6529,134.01687 137.7305,134.01687 76.0792,-6e-5 137.748,-60.00698 137.7305,-134.01687 -0.016,-73.9876 -61.6768,-133.95638 -137.7305,-133.95638 z m 449.8375,1.17728 c -34.3873,0 -59.1745,10.01438 -77.2285,22.69721 -27.4009,19.24146 2.0805,59.47533 29.4814,40.21477 12.4718,-8.75241 21.7342,-13.41076 47.7614,-13.41076 32.3943,0.63799 58.42,12.54738 58.42,36.28944 -17.3663,10.77509 -92.8677,19.71103 -133.3834,42.32707 -40.5458,22.60967 -38.4033,51.14394 -38.4033,69.65 0,40.60635 43.6865,68.02001 81.5151,68.02001 37.7985,0 53.8612,-7.78015 90.8446,-32.6363 v 7.06464 c -1.1954,34.11507 51.6868,34.11507 50.4786,0 V 274.48002 c 0.1655,-60.47179 -44.078,-93.53151 -109.4413,-94.46747 z m -250.8011,0.52306 c -21.8791,0 -25.5258,17.71334 -25.4112,24.85567 v 215.08153 c -0.6001,13.90295 11.1251,25.44464 25.8139,25.44464 14.6877,0 26.4108,-11.54202 25.8139,-25.44464 0,0 0.3884,-80.00612 0,-131.20897 -0.3883,-51.20442 42.1154,-62.28323 56.8792,-62.28323 10.9772,0 19.781,6.01105 28.4785,5.69094 12.9127,-0.47737 23.4756,-8.98481 23.4756,-23.87513 -0.3884,-24.0566 -30.4317,-27.46142 -52.6227,-27.01413 -22.1878,0.44491 -40.939,7.11304 -57.1513,16.61343 0,0 -3.3965,-17.8582 -25.2791,-17.8582 z m -774.70422,0.52306 c -16.75032,-1.26308 -35.26274,1.36989 -55.61207,9.09353 -49.30226,18.68752 -82.75355,64.60882 -82.90477,121.27625 -0.13689,59.35595 42.20609,135.94929 130.06288,136.52393 59.08376,0.38107 88.63996,-21.26302 104.58165,-35.987 10.58203,-9.1962 11.36393,-25.17562 1.66787,-35.26274 -9.71544,-10.10192 -26.01608,-10.34945 -36.01724,-0.52274 -11.90733,10.96833 -29.44478,27.26244 -79.1609,21.84879 -21.33624,-2.3162 -44.22924,-19.31627 -51.89845,-32.30361 l 162.88702,-67.95953 c 12.45683,-5.4283 18.21163,-19.59961 12.93973,-31.91203 -21.81216,-42.08671 -56.27582,-80.97235 -106.51404,-84.7767 z m 575.74742,47.94287 c 47.5751,1.4e-4 86.1472,37.50397 86.1647,83.78024 0.031,46.3097 -38.5529,83.87098 -86.1647,83.87098 -47.6118,7e-5 -86.1997,-37.55969 -86.1647,-83.87098 0.017,-46.27468 38.5895,-83.78024 86.1647,-83.78024 z m -304.0303,1.30844 c 45.014,-1.15261 85.2288,38.61344 84.3835,82.36038 0.9461,43.77718 -39.3997,83.4778 -84.3835,82.36037 -42.7807,1.1125 -81.999,-34.4175 -84.1718,-76.08079 -4.5557,-42.93194 31.3979,-84.83719 75.4472,-88.24838 2.9047,-0.27888 5.8179,-0.39381 8.7373,-0.39381 z m -284.27628,1.30845 c 24.49434,0.0239 47.61178,12.41144 59.35595,32.36411 l -135.58796,56.78839 c -9.67915,-35.4442 30.04647,-77.07724 51.68674,-84.83718 8.11235,-2.90771 16.37784,-4.32328 24.54527,-4.31739 z M 1981.3365,314.5961 c -0.011,16.03401 0.2468,20.66928 -0.1926,36.6826 -0.1113,19.24942 -12.4326,28.15225 -25.3459,35.5047 -12.9096,7.3666 -39.1578,13.81539 -54.3434,14.52182 -17.5255,0.56827 -40.7274,-3.29387 -41.9658,-23.67935 0.011,-12.3059 6.0957,-19.95616 16.0739,-28.45469 23.6332,-17.38702 55.612,-23.20817 105.7882,-34.59896 z"
          />
        </g>
      </svg>
    </FpLink>
    <span
      class="absolute z-[45] left-12 leading-[48px] text-xl font-medium whitespace-nowrap inline md:hidden select-none"
    >
      {{ showRoute }}
    </span>
  </span>
</template>
